Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
fossey Posted on 07/06/2018 10:35
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message
 
Welsh and Scott were signed and were represented by ELITE,does anyone else know if any other players have signed for through them
IP: Logged
Fola Posted on 07/06/2018 10:43
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
They represent Tyrone Marsh too
IP: Logged
fossey Posted on 07/06/2018 11:06
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
bet he is still waiting for the other thing
IP: Logged
fossey Posted on 22/06/2018 22:37
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Stephens and Grimes also signed from elise so looks like macc might sign some more with that being 5 at the moment.
IP: Logged
boomer22 Posted on 23/06/2018 08:47
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Yes I clocked this too can't be a bad thing that they are casting their net out to a wide audience.
IP: Logged
Fola Posted on 26/07/2018 10:14
ELITE MANAGEMENT
Edited On: 26/07/2018 10:16
Report Message | Email Message To A Friend | Reply To Message 

 
Anybody who has been reading all the fiasco with Boreham Wood, Morgan Ferrier and greedy agents.

It was Domonic Yarwood, the same agent as Marsh, Wilson, MWH, Stephens and Grimes.

IP: Logged
Fola Posted on 26/07/2018 10:16
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Following on from our reporting of the behaviour, bullying, and manoeuvring for a transfer from Morgan Ferrier’s agent/intermediary/representative earlier this week.

Boreham Wood can now give another most unwelcome update on a situation that has unfortunately deteriorated further. However, it’s also vitally important that our supporters and everyone involved in football at this level, now fully understand a situation that shows no signs of going away.

On February 7, 2018, the player Morgan Ferrier, along with his agent and our football club, entered into a 16-month agreement with BWFC after signing from Dagenham.

This signing and contract was initiated by Morgan and his then agent Leon Anderson, who contacted our football club in early February – thus making Morgan the biggest transfer purchase and the highest paid player in our club’s history.

Morgan’s then agent Leon Anderson in all his dealings with us was diligent, honest, respectful, and always had his client’s best interests at heart.

Morgan’s contract was detailed, well written, and contained a considerable weekly wage, very beneficial appearance monies, and a very good goal related bonus. It also had conditions set into it that included clauses that if met could trigger a transfer for Morgan and for complete clarity, we have set the wording out below:

“A release clause applies whereby Boreham Wood FC agrees to allow the player to speak to another club with a view to discussing a transfer. This would be subject to the following conditions:

– Boreham Wood receive a formal written offer from the buying club

– A transfer fee of no less than £35,000 (thirty-five thousand) will be payable

– Both clubs will agree a sell-on fee and/or additional terms

“In the event that the above conditions in this release clause are satisfied, Boreham Wood shall immediately notify the player, and, if he wishes to transfer to such other club, Boreham Wood shall be required to (and shall) agree to the transfer of the player’s registration without delay and shall do everything necessary to effect such transfer of the player.”

As everyone can see – and we emphasise we do this for openness and clarity – the conditions are not tricky, they are all very, very simple and all very, very easy to understand and to comply with. They were all openly discussed before signing, and agreed by the player, the club, and by his agent.

About a month ago, following the correct club to club procedures, a deal was agreed with a Football League club. The fee was agreed, as was the sell on fee and the add ons, and we agreed to sell Morgan Ferrier to Tranmere Rovers Football Club.

As an agreement was reached with Tranmere – Morgan was given permission to speak with Micky Mellon and Tranmere Rovers Football Club. But after Morgan spoke with the said club – he came and spoke to the Boreham Wood Chairman and told him he that did not want to go. Morgan stated that he wanted to stay with BWFC but would like more responsibility within the dressing room because he felt it would improve his game.

That was the situation right up until last Sunday – World Cup Final day… When our manager Luke Garrard received an aggressive call from a new intermediary/agent/representative who purported to represent Morgan…

At this point, the agent made very clear to Luke that he would seek to get Morgan out of his contract in any way he could, if we didn’t comply with his demands of a £35k transfer and a 20% sell on. And in his words – if we did not comply, he would “open up a can of worms” to the football authorities about our football club, about our manager, and about our chairman, who he labelled as “bent.”

That threat as you can imagine cannot go unchallenged and is now being addressed through the high courts, and is in the hands of the club’s trusted solicitors. As you can imagine, as a club, whenever these type of football bullies present themselves, we simply have to stand up to them. And with the help of the football authorities we will stand our ground and see this through to the end…

IN SUMMARY

1) We signed Morgan Ferrier in good faith when he was with his previous agent Leon Anderson, who initially contacted us. We paid a record transfer fee of 18k plus vat to Dagenham, but the transfer only came about because the Daggers were having financial difficulties and as such, we signed the player on February 7, 2018.

2) We then paid a further £5k plus vat to Dagenham, which was a bonus clause written into the transfer – should we have got to Wembley in the Promotion final in May of 2018.

3) We had in good faith put Morgan Ferrier on an agreed and signed, well paid, 16 month contract… And, there were some very simple, very clear, and very easy to understand clauses within the contract – these were a transfer fee, and a to be agreed sell on fee and to be agreed add on clauses.

These conditions were agreed by all parties, they were written into Morgan’s contract with both his/his agent’s and The FA Registrations Department’s agreement and these conditions are:

That if any buying club matches or betters a £35k fee and if a buying club also matches our sell on fee and add on expectations – then Morgan would be given permission to talk to any buying club to see if he wants to be transferred, and that’s exactly what happened with Tranmere Rovers.

Events since Morgan changed representation just a week ago:

A) Simon Bass from AFC Wimbledon contacted Luke Garrard last Sunday and told him that AFC Wimbledon would be making a bid for Morgan.

B) Luke then text Mr Bass with the Tranmere Rovers’ deal and told him if they matched that – they could talk to the player.

C) Luke Garrard then received phone calls last Sunday afternoon from Morgan Ferrier’s new agent – stating that he had replaced the previous agent Leon Anderson and had the contract in front of him (by picture on his phone) and if we did not release Morgan for £35k plus a 20% sell on, then he would “open up a can of worms” about our club and stated to Luke that both himself and the BWFC Chairman were “bent.

D) On the Monday – AFC Wimbledon and Eric Samuelson emailed the BWFC Chairman with an official 35k offer, with a 25% sell on – which was considerably less than the Tranmere Rovers offer, and that was respectfully declined.

E) Then yesterday (Friday) while staying at the club’s training camp down in Barnstaple, Morgan Ferrier sent an email to our manager Luke Garrard, to all of the football authorities including the PFA, and to our club secretary – serving our football club with 14 days’ notice and informing us that we are somehow in breach of contract.

F) When we spoke to Morgan face to face yesterday (Friday), he denied writing the email, and stated that it was written out for him in its entirety by his intermediary/agent/representative and he was simply told to send it from his email address.

G) We obviously wish to make it clear that as a well-established football club playing at National League level – that we have paid Morgan on time, each and every month throughout his employ and this summer – no breach.

H) We wish to make it clear, that we have paid his previous club Dagenham the whole £23k plus Vat in full since we signed Morgan Ferrier on February 7, 2018 – no breach.

I) We wish to make it clear that all of Morgan’s wages and bonuses have all been paid on time, in full, and nothing is outstanding, and all tax and NI contributions are up to date – no breach.

J) We wish to make it clear that all of Morgan’s insurance, medical, nutritional and coaching needs have also been more than met – no breach.

K) We wish to make it clear that all transfer negotiations with all or any club or any interest shown at all – has been reported back to Morgan directly – no breach.

L) We wish to make it clear that this situation has been instigated by an agent/intermediary – and because we won’t curtail to this new representative’s demands to release Morgan for £35k and a 20% sell on, that this 14 day notice has been served on us and it’s clear this disruption will not go away as it’s all part of this intermediary’s strategy.

M) We wish to make clear, that we will not succumb to this 25-year-old agent’s threats… Where he has stated that he will “open up a can of worms” against our football club, our manager, and our chairman – who he has labelled as “bent.” We have done nothing wrong, the contract is watertight, the clauses are clear and this scaremongering will not succeed.

N) We wish to make it clear, that we feel absolutely compelled to take this young agent and perhaps the company he works for all the way to the high court, to the FA, to the National League committee, to the PFA and beyond – as we want to emphasise the need for these type of people to be regulated.

We absolutely apologise to the football world for airing our dirty washing in public. But we believe that there is the need to bring this type of behaviour into the public domain. As it is important and it’s high time that all non-league clubs began standing up to this agent/intermediary intimidation.

It’s now time that these unscrupulous people – as it’s not all agents – are taken to task. As they need to be regulated and this intimidation must be reported – we need to stop these intermediaries/representatives behaving in such a shoddy way and we need to get this problem highlighted. And put onto every non-league management committee’s agenda this season to sort out the problem…

In closing, after so much preparation and hard work, our whole pre-season and the whole bonding and training camp down in Barnstaple has simply been ruined – it has cost our chairman and football club tens of thousands of pounds and has been completely disrupted. Disrupted by a young 25-year-old agent who has not yet represented Morgan for even one week.

How sad is it, that for our club, our young manager, our hard-working dressing room, our very honest staff, and our loyal supporters have all been treated so badly?

We will keep updating you, we will keep working with the football authorities and we will seek our day and remuneration through the high courts – as this is a situation that football clubs at our level simply cannot afford to lose.
IP: Logged
Fola Posted on 26/07/2018 10:17
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
STATEMENT RELEASED TODAY:

Having sat down with our striker Morgan Ferrier this morning, we have very quickly resolved and reconciled what amounted to an agent led ‘breach of contract’ allegation that had no foundation.

It was apparent and very sad from the outset, just how much a young 23-year-old player has had his head turned, been used, been pressured, and been emotionally bullied to behave in the way he has. Whilst his agent or intermediary tried to unsettle, bully, and slander a club, its manager, and its owner, to manufacture a move by trying to negate their new client’s watertight contract.

The club would like to point out that Morgan has now withdrawn his ‘breach of contract’ allegation and he has unconditionally apologised to everyone concerned as it had absolutely no legal or moral basis or foundation.

The club would like to point out that Morgan has now sensibly separated himself from both Elite Management and their intermediary Dominic Yarwood with immediate effect. As such, we all now have a basis to move forward and put the last 10 days firmly behind us.

The club would also like to point out that Morgan is still just 23-years-of-age, he is still young, and he can still be easily influenced by unscrupulous individuals. But, we are delighted that our star striker is now back with us, back listening to his manager, back listening to his friends, family, and the people who care most about him, and is not being guided by new representatives that were perhaps looking to make a quick buck…

As a club, we already have the financial security, infrastructure, and support structure in place to enable Morgan’s hopes and ambitions to be realised with us going forward. But, if the right move does come along for both the player and club, then we will not stand in his way.

Morgan though, must now realise and appreciate that our club, our manager, our dressing room, and our supporters, will also share the same hopes, dreams, and ambitions as his going forward.

Rules and contracts have evolved and they exist to protect and ensure that all parties are protected. And as such, we would like to thank the National League, PFA, and FA, for their help and guidance throughout.

Morgan has perhaps learnt a painful lesson by listening to an unscrupulous intermediaries’ nonsense, but he now knows that procedures need to be followed, things do have to be done in a transparent and appropriate manner, and Morgan accepts, even if his intermediary didn’t, that a signed contract is there to protect all parties.

In terms of the behaviour of both Elite Management and their intermediary Dominic Yarwood, the club cannot comment any further at this point. Legal proceedings have though already begun and are still ongoing – but what we can say, is the behaviour of one individual is quite simply jaw dropping.

Finally, we would like to thank football as a whole, and you football lovers out there who care as much as we do about the game. We can tell you that over 2.3 million of you supported the original article that set out the agent’s and intermediaries’ behaviour regarding Morgan.

On top of that, we have had literally hundreds and thousands of tweets and messages of support from you all and we feel that we should continue with our campaign for all agents and intermediaries to be regulated with the campaign slogan of #FootballMustWin.

So, if you believe that regulation of agents and intermediaries is desperately needed from the FA – then you really can help affect change. If you do agree with us, then please put #FootballMustWin after every football tweet over the next seven days and please send a tweet into the @FA for good measure.

Together we can affect change within football. Let’s affect change that will help not only football in general, but help our clubs, our managers, help the academy kids, the naive players, and the older players, and let’s help the good agents be recognised, and most importantly let’s drive out and expose the rogue agents and intermediaries.
IP: Logged
macchiavelli Posted on 26/07/2018 10:40
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
I think that, in the past, young players with potential maybe had no real representation, and probably were in danger of exploitation by clubs with serious financial clout.

Now, in 2018, the situation has been more than redressed, and the pendulum has swung too far the other way. We need some sort of code of conduct to govern clubs, agents and players alike to try and ensure the development that young players and small clubs deserve.

The solution needs to be for the benefit of grass roots football, not the bank balances of dubious agents.
IP: Logged
ZadokThePriest Posted on 26/07/2018 12:52
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
would be interesting to know the inside dealings of the signings of Scott Wilson, Miles Welsh Hayes, Tyrone and others, especially the ones who came from lower leagues

How much were agents paid or more relevant how much of the agreed deal actually went to the player. For the uninitiated the agreed deal may well go down as all player budget but only so much goes to the player.
IP: Logged
The_Boss Posted on 26/07/2018 13:26
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Didn't we use these guys last year as well though and our agents fees paid were next to nothing.

I think the difference with Ferrier is that he's already under contract, and having a minimum fee clause in there it gives the agent a chance to get really greedy.

£35k for Ferrier is a snip really, and i suspect the agent knows that so really is just doing his job trying to get a better deal for the player. The way he's gone about it here isn't great (if you fully believe B Wood, dont forget they're the club that charges for away teams to film or even commentate on their games), but i doubt that the MTFC players who are with Elite management would provide an opportunity for anything like what has happened at B Wood.
IP: Logged
MenorahTableofShowbread Posted on 26/07/2018 19:57
ELITE MANAGEMENT
Edited On: 26/07/2018 19:58
Report Message | Email Message To A Friend | Reply To Message 

 
But you have hit the nail on the head ... or more likely wafted the smell of XXXXXX through the air ......

In any other business, an agent represents one party in a transaction. So if the agent is acting on behalf of a player, it shouldn't cost either club anything - but as zadok says, it does impact the playing budget because the player has to pay the agent a cut.

In the past in football, there have been deals which have been alleged to be a tad shady, with say an agent representing a player but also taking a fee from the buying club.

Equally I think there have been allegations of transactions where the buying club may pay an agent who then passes part of his fee on to the player's agent. And finally there have been club officials who have taken a "bung".

However, I think a lot of this has been tightened up and more closely regulated over the last few years. Moreover I doubt whether we are talking about sufficient money for this to be relevant at MTFC
IP: Logged
MenorahTableofShowbread Posted on 19/08/2018 01:10
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
In the light of the comment on another thread about quantity over quality, I thought I would bring this back to the top.

Time will tell whether the club's funds have been spent wisely, particularly at the time we had no manager.

We certainly now have a number of players on 2 year contracts warming the bench. If the current manager does not rate them, that presents a problem.
IP: Logged
madbrian Posted on 19/08/2018 09:39
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Mark Blower has zero right to have been scouting and offering contracts to those he has scouted. This is out of the remit of a chairman.

He should be made to clean up this mess and make a public statement on his involvement with Elite Management. He will lie his way out like normal

It didn’t take long before the fans of MTFC started to suffer at the hands of idiots again

I am not in the ‘Askey wouldn’t have done that’ brigade and believe fans should let bygones be bygones but on reflection Askey must have suffered an awful lot when he was here and it makes his achievements even more remarkable
IP: Logged
metz1984 Posted on 19/08/2018 11:27
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
if things are not sorted out soon we will defo go down,and then when we do the club will just collapse this time like other clubs have done,get it sorted blower or do one...[:(!]
IP: Logged
The_Boss Posted on 19/08/2018 13:19
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
How do we know Blower has the links to Elite? Could it not be our illustrious owner again?
IP: Logged
MenorahTableofShowbread Posted on 19/08/2018 13:53
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
I was told that Mark Blower hosted Dom Yarwood (the star of the Borehamwood saga above) at the play off finals. I don't know if it's true or not.
IP: Logged
flagwaver Posted on 19/08/2018 14:07
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
I was told that the Royal family are actually alien lizards. I don't know if it's true or not
IP: Logged
Dans_Underpant Posted on 19/08/2018 16:19
ELITE MANAGEMENT

Report Message | Email Message To A Friend | Reply To Message 

 
Blower has hosted Yarwood numerous times. They both seem like wideboys to me, hope I'm wrong but I have no faith in Blower to do right by Macc.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2018 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213